<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Imgs\Block1.png" />
    <None Remove="Imgs\Block2.png" />
    <None Remove="Imgs\Block3.png" />
    <None Remove="Imgs\Car1.png" />
    <None Remove="Imgs\Car2.png" />
    <None Remove="Imgs\Car3.png" />
    <None Remove="Imgs\Figure1.png" />
    <None Remove="Imgs\Figure2.png" />
    <None Remove="Imgs\Figure3.png" />
    <None Remove="Imgs\Plane1.png" />
    <None Remove="Imgs\Plane2.png" />
    <None Remove="Imgs\Plane3.png" />
    <None Remove="Imgs\Robot1.png" />
    <None Remove="Imgs\Robot2.png" />
    <None Remove="Imgs\Robot3.png" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Imgs\Block1.png" />
    <EmbeddedResource Include="Imgs\Block2.png" />
    <EmbeddedResource Include="Imgs\Block3.png" />
    <EmbeddedResource Include="Imgs\Car1.png" />
    <EmbeddedResource Include="Imgs\Car2.png" />
    <EmbeddedResource Include="Imgs\Car3.png" />
    <EmbeddedResource Include="Imgs\Figure1.png" />
    <EmbeddedResource Include="Imgs\Figure2.png" />
    <EmbeddedResource Include="Imgs\Figure3.png" />
    <EmbeddedResource Include="Imgs\Plane1.png" />
    <EmbeddedResource Include="Imgs\Plane2.png" />
    <EmbeddedResource Include="Imgs\Plane3.png" />
    <EmbeddedResource Include="Imgs\Robot1.png" />
    <EmbeddedResource Include="Imgs\Robot2.png" />
    <EmbeddedResource Include="Imgs\Robot3.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Xamarin.Forms" Version="5.0.0.2196" />  
    <PackageReference Include="Xamarin.Essentials" Version="1.7.0" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Views\SampleElementPage1.xaml.cs">
      <DependentUpon>SampleElementPage1.xaml</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="CustomViewCells\CustomViewCell1.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="CustomViewCells\JobSelector.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleAbsoluteLayoutPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleContentPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleDisplayAlertActionSheetPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleElementPage1.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleElementPage3.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleFlyoutPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleFlyoutPageDetail.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleFlyoutPageFlyout.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleGridLayoutPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleListViewPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleNavigationPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleRelativeLayoutPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleStackLayoutPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleTableViewPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleTableViewSimpleRegisterPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleTabPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SampleToolbarPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\ToyDetailPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\ToyMartPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\ToyOrderPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
  </ItemGroup>
</Project>